読者です 読者をやめる 読者になる 読者になる

slimeロード時に "void-variable slime-fancy" みたいなエラーが出たときの対処

emacs slime

slimeの contrib以下のファイルをバイトコンパイルしているとこのような
エラーが出ることがあります(24.2で確認)。全部ではないんですが、大半
出るので slimeについてはすべての *.elcファイルは削除するのが無難です.
(contribだけでなく全部が無難です)


package.elでインストールした場合は、全部バイトコンパイルされるので
slimeのロードでエラーが出た際は, バイトコンパイルされているファイルが
あるかどうかを疑ってください.